Bug 1439381 - The OpenShift registry does not support the Docker Catalog API. This API is used to automate the search of Docker V2 based registries.
Summary: The OpenShift registry does not support the Docker Catalog API. This API is ...
Status: CLOSED UPSTREAM
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry (Show other bugs)
(Show other bugs)
Version: 3.6.0
Hardware: Unspecified Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Michal Fojtik
QA Contact: ge liu
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-05 20:48 UTC by michael
Modified: 2017-12-07 16:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 09:38:41 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1509084 None None None Never

Description michael 2017-04-05 20:48:00 UTC
Description of problem:
The Docker Registry V2 catalog is not enabled.  This automates the discovery of downstream repos in a given registry.

Mar 22 11:14:15 journal: #033[31m ERRO 2017-03-22T15:14:15.590 (*scanner).scan.func1 scanner.go:222 #033[0m Failed to rerieve repositories info for repo ''. Error: 'failed to to query 'https://docker-registry-default.<customer>/v2/_catalog' '400 Bad Request'-'''

Version-Release number of selected component (if applicable):
3.x

How reproducible:
Stand up a OpenShift registry and make an API call into it.


Steps to Reproduce:
1.Query the registry appended with  /v2/_catalog and you will see the error response as above.


Actual results:
Error: 'failed to to query 'https://docker-registry-default.<customer>/v2/_catalog' '400 Bad Request'-'''

Expected results:


Additional info:

Comment 1 Michal Fojtik 2017-04-06 09:38:41 UTC
Hi,

We already tracking this in Trello card: https://trello.com/c/5dnujyr6/735-5-allow-to-list-repositories-in-internal-registry and should have a prototype for 3.7/3.8 release.


Note You need to log in before you can comment on or make changes to this bug.